我在编译时出现一个警告,不知道是什么意思,有哪位大侠能详细说明一下,分不够,再加。。。。。

钱塘工匠 2004-10-19 03:37:40
Note: C:\javabaiban\ChatApplet.java uses or overrides a deprecated API.
Note: Recompile with -deprecation for details.
...全文
44 3 打赏 收藏 举报
写回复
3 条回复
切换为时间正序
当前发帖距今超过3年,不再开放新的回复
发表回复
边城狂人 2004-10-19
  • 打赏
  • 举报
回复
javac -deprecation ChatApplet.java 可以看到详细的信息。是因为你用了不推荐使用的API。
虽然你不改程序也可以正确运行,但是,建议你还是根据文档找出出来一个适合的替代方法。
禽兽v5 2004-10-19
  • 打赏
  • 举报
回复
警告而已。原因一楼说了。要想编译通过,加-deprecation参数。如


javac -deprecation ChatApplet.java
flyxxxxx 2004-10-19
  • 打赏
  • 举报
回复
你在类ChatApplet中使用或重载了一个不赞成使用的类或方法(这些方法能用但最好不用,在相应文档中一般有代替的类或方法)
相关推荐
发帖
Java

4.9w+

社区成员

Java相关技术讨论
javaspring bootspring cloud 技术论坛(原bbs)
社区管理员
  • Java相关社区
  • 小虚竹
  • 谙忆
加入社区
帖子事件
创建了帖子
2004-10-19 03:37
社区公告
暂无公告